// creator  : weidu.exe (version 23100)
// argument : X#SETTA.DLG
// game		 : .
// source	 : ./override/X#SETTA.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~X#SETTA~

IF ~  Global("X#DYLoveTalk","GLOBAL",30)
~ THEN BEGIN 0 // from:
  SAY #109367 /* ~Look a' the ribbons, 
m' gentle ladies,
I've every pattern
an' color an' length
Silks o' the Orients, 
Cormyrian velvets
purpl' o' Chessenta,
an' Amnish lace...'~ */
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_DYNAHJ~ 705
  IF ~  OR(3)
!InParty("minsc")
!InMyArea("minsc")
StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_DYNAHJ~ 706
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_MINSCJ~ 256
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_DYNAHJ~ 704
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_MINSCJ~ 255
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_DYNAHJ~ 703
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_MINSCJ~ 254
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_SKIEJ~ 229
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_ELDOTJ~ 141
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_ELDOTJ~ 140
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ GOTO 2
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_ELDOTJ~ 139
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_SKIEJ~ 228
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_ELDOTJ~ 138
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_SKIEJ~ 227
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_GARRIJ~ 267
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_ELDOTJ~ 137
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_SKIEJ~ 226
  IF ~  InParty("coran")
InParty("safana")
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_SAFANJ~ 43
  IF ~  InParty("coran")
InParty("safana")
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_CORANJ~ 1559
  IF ~  InParty("coran")
InParty("safana")
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_SAFANJ~ 42
  IF ~  InParty("coran")
InParty("safana")
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_CORANJ~ 1558
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_JAHEIJ~ 458
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_KHALIJ~ 149
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_JAHEIJ~ 457
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_KHALIJ~ 148
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~_JAHEIJ~ 456
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.27
  SAY #109368 /* ~Sir, a silke' ribbo' t' tie up ya Lady's hair?~ */
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 705
  IF ~  OR(3)
!InParty("minsc")
!InMyArea("minsc")
StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 706
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 256
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 704
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 255
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 703
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 254
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_SKIEJ~ 229
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_ELDOTJ~ 141
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_ELDOTJ~ 140
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN GOTO 2
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_ELDOTJ~ 139
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_SKIEJ~ 228
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_ELDOTJ~ 138
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_SKIEJ~ 227
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN EXTERN ~_GARRIJ~ 267
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_ELDOTJ~ 137
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_SKIEJ~ 226
  IF ~  InParty("coran")
InParty("safana")
~ THEN EXTERN ~_SAFANJ~ 43
  IF ~  InParty("coran")
InParty("safana")
~ THEN EXTERN ~_CORANJ~ 1559
  IF ~  InParty("coran")
InParty("safana")
~ THEN EXTERN ~_SAFANJ~ 42
  IF ~  InParty("coran")
InParty("safana")
~ THEN EXTERN ~_CORANJ~ 1558
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 458
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_KHALIJ~ 149
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 457
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_KHALIJ~ 148
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 456
END

IF ~~ THEN BEGIN 2 // from: 1.10 0.10
  SAY #109385 /* ~Fer yer lady - only five gold, sir. Ya won't find a better price on Chessentian satin anywhe'er.~ */
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 705
  IF ~  OR(3)
!InParty("minsc")
!InMyArea("minsc")
StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 706
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 256
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 704
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 255
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 703
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 254
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_SKIEJ~ 229
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_ELDOTJ~ 141
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_ELDOTJ~ 140
END
